Name: x11-driver-input-penmount
Version: 1.5.0
Release: %mkrel 26
Summary: X.org input driver for PenMount devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-penmount-%{version}.tar.bz2
License: MIT
BuildRequires: x11-proto-devel >= 1.4
BuildRequires: pkgconfig(xorg-server) >= 1.4
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Penmount is an X.org input driver for PenMount devices.

%prep
%setup -q -n xf86-input-penmount-%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/input/penmount_drv.so
%{_mandir}/man4/penmount.*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.5.0-26.mga8
+ Revision: 1518438
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-25.mga7
+ Revision: 1301740
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 1.5.0-24.mga7
+ Revision: 1238582
- fix build on aarch64
- drop .la files
- use new make macros
- drop old conflicts

* Fri Mar 09 2018 tv <tv> 1.5.0-23.mga7
+ Revision: 1207699
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.5.0-22.mga6
+ Revision: 1067781
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.5.0-21.mga6
+ Revision: 1043344
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.5.0-20.mga6
+ Revision: 963349
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.5.0-19.mga6
+ Revision: 902284
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.5.0-18.mga6
+ Revision: 902044
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.5.0-17.mga6
+ Revision: 836000
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-16.mga5
+ Revision: 749372
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-15.mga5
+ Revision: 690411
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.5.0-14.mga5
+ Revision: 635004
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.5.0-13.mga5
+ Revision: 633660
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.5.0-12.mga5
+ Revision: 614348
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.5.0-11.mga5
+ Revision: 582296
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 1.5.0-10.mga4
+ Revision: 525389
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.5.0-9.mga4
+ Revision: 433138
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.5.0-8.mga4
+ Revision: 385963
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 1.5.0-7.mga3
+ Revision: 289368
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 1.5.0-6.mga3
+ Revision: 256340
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.5.0-5.mga3
+ Revision: 252982
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.5.0-4.mga3
+ Revision: 249857
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 1.5.0-3.mga2
+ Revision: 177512
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.5.0-2.mga2
+ Revision: 153105
- rebuild for xserver-1.11

* Wed Jun 29 2011 tv <tv> 1.5.0-1.mga2
+ Revision: 116146
- new release
- drop patch 0 (merged)

* Sat Mar 05 2011 tmb <tmb> 1.4.1-5.mga1
+ Revision: 64823
- fix build with x11-server 1.10
+ tv <tv>
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.4.1-3.mga1
+ Revision: 50161
- imported package x11-driver-input-penmount


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.4.1-3mdv2011.0
+ Revision: 595758
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.4.1-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Thu Mar 04 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.4.1-1mdv2010.1
+ Revision: 514333
- New version: 1.4.1

* Tue Jan 19 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.4.0-2mdv2010.1
+ Revision: 493610
- Add upstream patch to work with abi 7 (makes package build again)

* Thu Feb 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.0-1mdv2009.1
+ Revision: 342880
- New version 1.4.0

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.3.0-2mdv2009.0
+ Revision: 265873
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0-1mdv2009.0
+ Revision: 194280
- Update to version 1.3.0.

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.1-4mdv2008.1
+ Revision: 160493
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.1-3mdv2008.1
+ Revision: 156588
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.1-2mdv2008.1
+ Revision: 154957
- Updated BuildRequires and resubmit package.
  Add patch to never call symbol no longer available in X Server due to X Input
  Hotplug reword.
- Disable debug package.
  Update BuildRequires.
  Driver still marked as broken and no updates upstream. A patch to "not crash"
  should be made available before 2008.1.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Fix spec and update the comment documentation to use existing
  xf86-input-penmount-1.2.1 tag to generate patches and tarball. Git master
  has no changes since this tag, so mandriva branch is correct.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.1-1mdv2008.1
+ Revision: 97220
- new upstream version: 1.2.1
  (requires x11-server 1.4 to build)
- minor spec cleanup

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages

  + Olivier Blin <oblin@mandriva.com>
    - fix group


* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 21:59:00 (36664)
- new upstream release (1.2.0):
   * Add DMC9000 support.
- removed old tarballs

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:03:02 (31708)
- fill in summary & descriptions for all input drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

